"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.sendEvents = void 0;

var _reactNativeBase = _interopRequireDefault(require("react-native-base64"));

var _constants = require("./constants");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const sendEvents = async ({
  config,
  events
}) => {
  const updatedEvents = events.map(event => {
    const updatedEvent = { ...event,
      sentAt: new Date().toISOString()
    }; // Context and Integration exist on SegmentEvents but are transmitted separately to avoid duplication

    delete updatedEvent.context;
    delete updatedEvent.integrations;
    return updatedEvent;
  });
  await fetch(_constants.batchApi, {
    method: 'POST',
    body: JSON.stringify({
      batch: updatedEvents,
      context: events[0].context,
      integrations: events[0].integrations
    }),
    headers: {
      'Authorization': `Basic ${_reactNativeBase.default.encode(`${config.writeKey}:`)}`,
      'Content-Type': 'application/json'
    }
  });
};

exports.sendEvents = sendEvents;
//# sourceMappingURL=api.js.map