"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = handleAppStateChange;

var _events = require("../events");

function handleAppStateChange({
  nextAppState
}) {
  if (this.config.trackAppLifecycleEvents) {
    if (['inactive', 'background'].includes(this.appState) && nextAppState === 'active') {
      var _context$app, _context$app2;

      const {
        context
      } = this.store.getState().main;
      const event = (0, _events.createTrackEvent)({
        event: 'Application Opened',
        properties: {
          from_background: true,
          version: context === null || context === void 0 ? void 0 : (_context$app = context.app) === null || _context$app === void 0 ? void 0 : _context$app.version,
          build: context === null || context === void 0 ? void 0 : (_context$app2 = context.app) === null || _context$app2 === void 0 ? void 0 : _context$app2.build
        }
      });
      this.process(event);
      this.logger.info('TRACK (Application Opened) event saved', event);
    } else if (this.appState === 'active' && ['inactive', 'background'].includes(nextAppState)) {
      const event = (0, _events.createTrackEvent)({
        event: 'Application Backgrounded'
      });
      this.process(event);
      this.logger.info('TRACK (Application Backgrounded) event saved', event);
    }
  }

  this.appState = nextAppState;
}
//# sourceMappingURL=handleAppStateChange.js.map