"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = trackDeepLinks;

var _reactNative = require("react-native");

var _events = require("../events");

async function trackDeepLinks() {
  const url = await _reactNative.Linking.getInitialURL();

  if (url && this.config.trackDeepLinks) {
    const event = (0, _events.createTrackEvent)({
      event: 'Deep Link Opened',
      properties: {
        url
      }
    });
    this.process(event);
    this.logger.info('TRACK (Deep Link Opened) event saved', event);
  }
}
//# sourceMappingURL=trackDeepLinks.js.map