"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = identify;

var _events = require("../events");

function identify({
  userId,
  userTraits
}) {
  const {
    traits: currentUserTraits
  } = this.store.getState().userInfo;
  const event = (0, _events.createIdentifyEvent)({
    userTraits: { ...currentUserTraits,
      ...(userTraits || {})
    }
  });
  this.store.dispatch(this.actions.userInfo.setUserId({
    userId
  }));

  if (userTraits) {
    this.store.dispatch(this.actions.userInfo.setTraits({
      traits: userTraits
    }));
  }

  this.process(event);
  this.logger.info('IDENTIFY event saved', event);
}
//# sourceMappingURL=identify.js.map