"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.initializeStore = exports.actions = void 0;

var _toolkit = require("@reduxjs/toolkit");

var _reduxPersist = require("redux-persist");

var _asyncStorage = _interopRequireDefault(require("@react-native-community/async-storage"));

var _main = _interopRequireDefault(require("./main"));

var _system = _interopRequireDefault(require("./system"));

var _userInfo = _interopRequireDefault(require("./userInfo"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const actions = {
  main: _main.default.actions,
  system: _system.default.actions,
  userInfo: _userInfo.default.actions
};
exports.actions = actions;
const rootReducer = (0, _toolkit.combineReducers)({
  main: _main.default.reducer,
  system: _system.default.reducer,
  userInfo: _userInfo.default.reducer
});

const initializeStore = segmentKey => {
  const persistConfig = {
    key: `${segmentKey}-analyticsData`,
    storage: _asyncStorage.default
  };
  const persistedReducer = (0, _reduxPersist.persistReducer)(persistConfig, rootReducer);
  const store = (0, _toolkit.configureStore)({
    reducer: persistedReducer,
    middleware: (0, _toolkit.getDefaultMiddleware)({
      serializableCheck: {
        ignoredActions: [_reduxPersist.PERSIST]
      }
    })
  });
  const persistor = (0, _reduxPersist.persistStore)(store);
  return {
    store,
    persistor
  };
};

exports.initializeStore = initializeStore;
//# sourceMappingURL=index.js.map