"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.initialState = void 0;

var _toolkit = require("@reduxjs/toolkit");

var _client = require("../client");

const initialState = {
  configuration: _client.defaultConfig
};
exports.initialState = initialState;

var _default = (0, _toolkit.createSlice)({
  name: 'system',
  initialState,
  reducers: {
    init: (state, action) => {
      state.configuration = action.payload.configuration;
    },
    updateSettings: (state, action) => {
      state.settings = action.payload.settings;
    },
    addIntegrations: (state, action) => {
      // we need to set any destination plugins to false in the
      // integrations payload.  this prevents them from being sent
      // by segment.com once an event reaches segment.
      if (!state.integrations) {
        state.integrations = {};
      }

      action.payload.forEach(({
        key
      }) => {
        state.integrations[key] = false;
      });
    },
    removeIntegration: (state, action) => {
      if (state.integrations) {
        delete state.integrations[action.payload.key];
      }
    }
  }
});

exports.default = _default;
//# sourceMappingURL=system.js.map