"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.initialState = void 0;

var _toolkit = require("@reduxjs/toolkit");

var _uuid = require("../uuid");

const initialState = {
  anonymousId: (0, _uuid.getUUID)()
};
exports.initialState = initialState;

var _default = (0, _toolkit.createSlice)({
  name: 'userInfo',
  initialState,
  reducers: {
    reset: () => ({
      anonymousId: (0, _uuid.getUUID)(),
      userId: undefined,
      traits: undefined
    }),
    setUserId: (state, action) => {
      state.userId = action.payload.userId;
    },
    setTraits: (state, action) => {
      state.traits = { ...state.traits,
        ...action.payload.traits
      };
    },
    setUserIdAndTraits: (state, action) => {
      state.userId = action.payload.userId;
      state.traits = action.payload.traits;
    },
    setAnonymousId: (state, action) => {
      state.anonymousId = action.payload.anonymousId;
    }
  }
});

exports.default = _default;
//# sourceMappingURL=userInfo.js.map