"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getPluginsWithFlush = exports.getAllPlugins = exports.chunk = void 0;

const chunk = (array, size) => {
  if (!array.length || !size) {
    return [];
  }

  let index = 0;
  let resIndex = 0;
  const result = new Array(Math.ceil(array.length / size));

  while (index < array.length) {
    result[resIndex++] = array.slice(index, index += size);
  }

  return result;
};

exports.chunk = chunk;

const getAllPlugins = timeline => {
  const allPlugins = Object.values(timeline.plugins);

  if (allPlugins.length) {
    return allPlugins.reduce((prev = [], curr = []) => prev.concat(curr));
  }

  return [];
};

exports.getAllPlugins = getAllPlugins;

const getPluginsWithFlush = timeline => {
  if (!timeline) {
    return [];
  }

  const allPlugins = getAllPlugins(timeline); // checking for the existence of .flush()

  const eventPlugins = allPlugins === null || allPlugins === void 0 ? void 0 : allPlugins.filter(f => f.flush);
  return eventPlugins;
};

exports.getPluginsWithFlush = getPluginsWithFlush;
//# sourceMappingURL=util.js.map