function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

export class Logger {
  constructor(isDisabled = process.env.NODE_ENV === 'production') {
    _defineProperty(this, "isDisabled", void 0);

    this.isDisabled = isDisabled;
  }

  enable() {
    this.isDisabled = false;
  }

  disable() {
    this.isDisabled = true;
  }

  info(message, ...optionalParams) {
    if (!this.isDisabled) {
      console.info(message, ...optionalParams);
    }
  }

  warn(message, ...optionalParams) {
    if (!this.isDisabled) {
      console.warn(message, ...optionalParams);
    }
  }

  error(message, ...optionalParams) {
    if (!this.isDisabled) {
      console.error(message, ...optionalParams);
    }
  }

}
export const createLogger = isDisabled => new Logger(isDisabled);
//# sourceMappingURL=logger.js.map