import { createSlice } from '@reduxjs/toolkit';
export const initialState = {
  events: [],
  eventsToRetry: [],
  context: undefined
};
export default createSlice({
  name: 'main',
  initialState,
  reducers: {
    addEvent: (state, action) => {
      state.events.push(action.payload.event);
    },
    deleteEventsByMessageId: (state, action) => {
      state.events = state.events.filter(evt => !action.payload.ids.includes(evt.messageId));
    },
    addEventsToRetry: (state, action) => {
      state.eventsToRetry = [...state.eventsToRetry, ...action.payload.events].slice(-action.payload.config.maxEventsToRetry);
    },
    deleteEventsToRetryByMessageId: (state, action) => {
      state.eventsToRetry = state.eventsToRetry.filter(evt => !action.payload.ids.includes(evt.messageId));
    },

    /**
     * Initializes the Context
     */
    setContext: (state, action) => {
      state.context = { ...state.context,
        ...action.payload.context
      };
    },

    /**
     * Updates the context with a delta
     */
    updateContext: (state, action) => {
      var _state$context, _state$context2, _state$context3, _state$context4, _state$context5, _state$context6, _state$context7, _state$context8, _state$context9, _state$context10, _state$context11, _state$context12, _state$context13, _state$context14;

      state.context = { ...state.context,
        ...action.payload.context,
        app: action.payload.context.app !== undefined ? { ...((_state$context = state.context) === null || _state$context === void 0 ? void 0 : _state$context.app),
          ...action.payload.context.app
        } : (_state$context2 = state.context) === null || _state$context2 === void 0 ? void 0 : _state$context2.app,
        device: action.payload.context.device !== undefined ? { ...((_state$context3 = state.context) === null || _state$context3 === void 0 ? void 0 : _state$context3.device),
          ...action.payload.context.device
        } : (_state$context4 = state.context) === null || _state$context4 === void 0 ? void 0 : _state$context4.device,
        library: action.payload.context.library !== undefined ? { ...((_state$context5 = state.context) === null || _state$context5 === void 0 ? void 0 : _state$context5.library),
          ...action.payload.context.library
        } : (_state$context6 = state.context) === null || _state$context6 === void 0 ? void 0 : _state$context6.library,
        network: action.payload.context.network !== undefined ? { ...((_state$context7 = state.context) === null || _state$context7 === void 0 ? void 0 : _state$context7.network),
          ...action.payload.context.network
        } : (_state$context8 = state.context) === null || _state$context8 === void 0 ? void 0 : _state$context8.network,
        os: action.payload.context.os !== undefined ? { ...((_state$context9 = state.context) === null || _state$context9 === void 0 ? void 0 : _state$context9.os),
          ...action.payload.context.os
        } : (_state$context10 = state.context) === null || _state$context10 === void 0 ? void 0 : _state$context10.os,
        screen: action.payload.context.screen !== undefined ? { ...((_state$context11 = state.context) === null || _state$context11 === void 0 ? void 0 : _state$context11.screen),
          ...action.payload.context.screen
        } : (_state$context12 = state.context) === null || _state$context12 === void 0 ? void 0 : _state$context12.screen,
        traits: action.payload.context.traits !== undefined ? { ...((_state$context13 = state.context) === null || _state$context13 === void 0 ? void 0 : _state$context13.traits),
          ...action.payload.context.traits
        } : (_state$context14 = state.context) === null || _state$context14 === void 0 ? void 0 : _state$context14.traits
      };
    }
  }
});
//# sourceMappingURL=main.js.map