import { createSlice } from '@reduxjs/toolkit';
import { defaultConfig } from '../client';
export const initialState = {
  configuration: defaultConfig
};
export default createSlice({
  name: 'system',
  initialState,
  reducers: {
    init: (state, action) => {
      state.configuration = action.payload.configuration;
    },
    updateSettings: (state, action) => {
      state.settings = action.payload.settings;
    },
    addIntegrations: (state, action) => {
      // we need to set any destination plugins to false in the
      // integrations payload.  this prevents them from being sent
      // by segment.com once an event reaches segment.
      if (!state.integrations) {
        state.integrations = {};
      }

      action.payload.forEach(({
        key
      }) => {
        state.integrations[key] = false;
      });
    },
    removeIntegration: (state, action) => {
      if (state.integrations) {
        delete state.integrations[action.payload.key];
      }
    }
  }
});
//# sourceMappingURL=system.js.map