import { createSlice } from '@reduxjs/toolkit';
import { getUUID } from '../uuid';
export const initialState = {
  anonymousId: getUUID()
};
export default createSlice({
  name: 'userInfo',
  initialState,
  reducers: {
    reset: () => ({
      anonymousId: getUUID(),
      userId: undefined,
      traits: undefined
    }),
    setUserId: (state, action) => {
      state.userId = action.payload.userId;
    },
    setTraits: (state, action) => {
      state.traits = { ...state.traits,
        ...action.payload.traits
      };
    },
    setUserIdAndTraits: (state, action) => {
      state.userId = action.payload.userId;
      state.traits = action.payload.traits;
    },
    setAnonymousId: (state, action) => {
      state.anonymousId = action.payload.anonymousId;
    }
  }
});
//# sourceMappingURL=userInfo.js.map