/// <reference types="redux-persist/types/persistreducer" />
/// <reference types="redux-persist/types/types" />
/// <reference types="redux-persist" />
export declare const actions: {
    main: import("@reduxjs/toolkit").CaseReducerActions<{
        addEvent: (state: import("immer/dist/internal").WritableDraft<{
            events: import("..").SegmentEvent[];
            eventsToRetry: import("..").SegmentEvent[];
            context?: import("..").DeepPartial<import("..").Context> | undefined;
        }>, action: {
            payload: {
                event: import("..").SegmentEvent;
            };
            type: string;
        }) => void;
        deleteEventsByMessageId: (state: import("immer/dist/internal").WritableDraft<{
            events: import("..").SegmentEvent[];
            eventsToRetry: import("..").SegmentEvent[];
            context?: import("..").DeepPartial<import("..").Context> | undefined;
        }>, action: {
            payload: {
                ids: string[];
            };
            type: string;
        }) => void;
        addEventsToRetry: (state: import("immer/dist/internal").WritableDraft<{
            events: import("..").SegmentEvent[];
            eventsToRetry: import("..").SegmentEvent[];
            context?: import("..").DeepPartial<import("..").Context> | undefined;
        }>, action: {
            payload: {
                events: import("..").SegmentEvent[];
                config: import("..").Config;
            };
            type: string;
        }) => void;
        deleteEventsToRetryByMessageId: (state: import("immer/dist/internal").WritableDraft<{
            events: import("..").SegmentEvent[];
            eventsToRetry: import("..").SegmentEvent[];
            context?: import("..").DeepPartial<import("..").Context> | undefined;
        }>, action: {
            payload: {
                ids: string[];
            };
            type: string;
        }) => void;
        setContext: (state: import("immer/dist/internal").WritableDraft<{
            events: import("..").SegmentEvent[];
            eventsToRetry: import("..").SegmentEvent[];
            context?: import("..").DeepPartial<import("..").Context> | undefined;
        }>, action: {
            payload: {
                context: import("..").Context;
            };
            type: string;
        }) => void;
        updateContext: (state: import("immer/dist/internal").WritableDraft<{
            events: import("..").SegmentEvent[];
            eventsToRetry: import("..").SegmentEvent[];
            context?: import("..").DeepPartial<import("..").Context> | undefined;
        }>, action: {
            payload: {
                context: import("..").DeepPartial<import("..").Context>;
            };
            type: string;
        }) => void;
    }>;
    system: import("@reduxjs/toolkit").CaseReducerActions<{
        init: (state: import("immer/dist/internal").WritableDraft<{
            configuration: import("..").Config;
            integrations?: import("..").Integrations | undefined;
            settings?: import("..").SegmentAPISettings | undefined;
        }>, action: {
            payload: {
                configuration: import("..").Config;
            };
            type: string;
        }) => void;
        updateSettings: (state: import("immer/dist/internal").WritableDraft<{
            configuration: import("..").Config;
            integrations?: import("..").Integrations | undefined;
            settings?: import("..").SegmentAPISettings | undefined;
        }>, action: {
            payload: {
                settings: import("..").SegmentAPISettings;
            };
            type: string;
        }) => void;
        addIntegrations: (state: import("immer/dist/internal").WritableDraft<{
            configuration: import("..").Config;
            integrations?: import("..").Integrations | undefined;
            settings?: import("..").SegmentAPISettings | undefined;
        }>, action: {
            payload: {
                key: string;
            }[];
            type: string;
        }) => void;
        removeIntegration: (state: import("immer/dist/internal").WritableDraft<{
            configuration: import("..").Config;
            integrations?: import("..").Integrations | undefined;
            settings?: import("..").SegmentAPISettings | undefined;
        }>, action: {
            payload: {
                key: string;
            };
            type: string;
        }) => void;
    }>;
    userInfo: import("@reduxjs/toolkit").CaseReducerActions<{
        reset: () => {
            anonymousId: string;
            userId: undefined;
            traits: undefined;
        };
        setUserId: (state: import("immer/dist/internal").WritableDraft<{
            anonymousId: string;
            userId?: string | undefined;
            traits?: import("..").UserTraits | undefined;
        }>, action: {
            payload: {
                userId: string;
            };
            type: string;
        }) => void;
        setTraits: (state: import("immer/dist/internal").WritableDraft<{
            anonymousId: string;
            userId?: string | undefined;
            traits?: import("..").UserTraits | undefined;
        }>, action: {
            payload: {
                traits?: import("..").UserTraits | undefined;
            };
            type: string;
        }) => void;
        setUserIdAndTraits: (state: import("immer/dist/internal").WritableDraft<{
            anonymousId: string;
            userId?: string | undefined;
            traits?: import("..").UserTraits | undefined;
        }>, action: {
            payload: {
                userId: string;
                traits?: import("..").UserTraits | undefined;
            };
            type: string;
        }) => void;
        setAnonymousId: (state: import("immer/dist/internal").WritableDraft<{
            anonymousId: string;
            userId?: string | undefined;
            traits?: import("..").UserTraits | undefined;
        }>, action: {
            payload: {
                anonymousId: string;
            };
            type: string;
        }) => void;
    }>;
};
export declare const initializeStore: (segmentKey: string) => {
    store: import("@reduxjs/toolkit").EnhancedStore<import("redux").EmptyObject & {
        main: {
            events: import("..").SegmentEvent[];
            eventsToRetry: import("..").SegmentEvent[];
            context?: import("..").DeepPartial<import("..").Context> | undefined;
        };
        system: {
            configuration: import("..").Config;
            integrations?: import("..").Integrations | undefined;
            settings?: import("..").SegmentAPISettings | undefined;
        };
        userInfo: {
            anonymousId: string;
            userId?: string | undefined;
            traits?: import("..").UserTraits | undefined;
        };
    } & import("redux-persist/es/persistReducer").PersistPartial, import("redux").AnyAction, import("@reduxjs/toolkit").MiddlewareArray<import("redux").Middleware<{}, any, import("redux").Dispatch<import("redux").AnyAction>> | import("redux-thunk").ThunkMiddleware<any, import("redux").AnyAction, null> | import("redux-thunk").ThunkMiddleware<any, import("redux").AnyAction, undefined>>>;
    persistor: import("redux-persist").Persistor;
};
