import { PayloadAction } from '@reduxjs/toolkit';
import type { SegmentEvent, Context, Config, PartialContext } from '../types';
declare type MainState = {
    events: SegmentEvent[];
    eventsToRetry: SegmentEvent[];
    context?: PartialContext;
};
export declare const initialState: MainState;
declare const _default: import("@reduxjs/toolkit").Slice<MainState, {
    addEvent: (state: import("immer/dist/internal").WritableDraft<MainState>, action: PayloadAction<{
        event: SegmentEvent;
    }>) => void;
    deleteEventsByMessageId: (state: import("immer/dist/internal").WritableDraft<MainState>, action: PayloadAction<{
        ids: string[];
    }>) => void;
    addEventsToRetry: (state: import("immer/dist/internal").WritableDraft<MainState>, action: PayloadAction<{
        events: SegmentEvent[];
        config: Config;
    }>) => void;
    deleteEventsToRetryByMessageId: (state: import("immer/dist/internal").WritableDraft<MainState>, action: PayloadAction<{
        ids: string[];
    }>) => void;
    /**
     * Initializes the Context
     */
    setContext: (state: import("immer/dist/internal").WritableDraft<MainState>, action: PayloadAction<{
        context: Context;
    }>) => void;
    /**
     * Updates the context with a delta
     */
    updateContext: (state: import("immer/dist/internal").WritableDraft<MainState>, action: PayloadAction<{
        context: PartialContext;
    }>) => void;
}, "main">;
export default _default;
