import { PayloadAction } from '@reduxjs/toolkit';
import type { UserTraits } from '../types';
declare type UserInfoState = {
    anonymousId: string;
    userId?: string;
    traits?: UserTraits;
};
export declare const initialState: UserInfoState;
declare const _default: import("@reduxjs/toolkit").Slice<UserInfoState, {
    reset: () => {
        anonymousId: string;
        userId: undefined;
        traits: undefined;
    };
    setUserId: (state: import("immer/dist/internal").WritableDraft<UserInfoState>, action: PayloadAction<{
        userId: string;
    }>) => void;
    setTraits: (state: import("immer/dist/internal").WritableDraft<UserInfoState>, action: PayloadAction<{
        traits?: UserTraits;
    }>) => void;
    setUserIdAndTraits: (state: import("immer/dist/internal").WritableDraft<UserInfoState>, action: PayloadAction<{
        userId: string;
        traits?: UserTraits;
    }>) => void;
    setAnonymousId: (state: import("immer/dist/internal").WritableDraft<UserInfoState>, action: PayloadAction<{
        anonymousId: string;
    }>) => void;
}, "userInfo">;
export default _default;
